## WCMCommander-0.20.0.tar.gz

=== CMakeLists.txt ===
PROJECT(wcm)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

ADD_SUBDIRECTORY(src)
