=== debian/changelog ===
wcm (0.20.0-1) stable; urgency=medium
  * Project renamed to WCM Commander
  * Added #345: External color schemes
  * Added #375: File attributes: modification of creation/modification/access time
  * Added #462: Open files on non-local file systems
  * Added #379: Inheriting the current dir from a parent process (options --load-current-dir and --dont-load-current-dir)
  * Added: history and autocomplete in all edit lines
  * Added: view history
  * Added: OS X volumes are shown in the Drive dialog
  * Hotkey: F4 on a folder opens the Attributes dialog
  * Imrpoved #352: Space acts as Enter when a button has focus
  * Improved #388: Do not discard editor undo history when saving a file
  * Improved #435: User menu: allow references to selected files
  * Improved: rendering of long file names is faster
  * Improved: Ctrl+G in the editor accepts any values
  * Imrpoved: keyboard shortcuts for file sorting modes in the main menu
  * Fixed #306: Submenu detaches after Alt-Tab
  * Fixed #309: After clicking one tool button, all toolbuttons lose tooltips
  * Fixed #319: Use antialiased fonts everywhere except the menubar
  * Fixed #400: When a command is executed, reset the 'last command' index for Ctrl-E/Ctrl-X
  * Fixed #401: Ctrl-Ins on a panel should copy all the selected file names to a clipboard
  * Fixed #402: Shift-Enter on folders
  * Fixed #407: 'Case sensitive' checkbox (in the Find dialog) is not always preserved
  * Fixed #421: Files with single|double|back-quotes in the name should now open fine with 'Enter'
  * Fixed #436: Temporary panel shows ".." even if displaying of ".." is disabled in "Panel Settings"
  * Fixed #436: Cursor position is being retained after diving in, and returning back from a temp panel
  * Fixed #440: Parasitic key in the Ctrl+L dialog
  * Fixed #443: File view/edit history doesn't work for temp panel items
  * Fixed #444: File disapears from the temp panel after editing
  * Fixed #458: OS X: CMD+C not working for command line in panel mode
  * Fixed #471: Linux: Hotkeys conflict in select drive dialog
  * Fixed #472: Attribure-based coloring/icons are not rendered on temporary panel
  * Fixed #473: Cannot go into the first folder under the (S)FTP/SMB root folder
  * Fixed #476: Windows: SFTP entry is missing in drive dialog
  * Fixed #479: Windows: segfault on exit when launched from Cygwin/MinGW terminal (mintty)
  * Fixed: Recalculate layouts after closing the help dialog
  * Development: CMake generates proper folders for MSVC projects

 -- Sergey Kosarevsky <sk@linderdaum.com>  Sat, 21 Feb 2015 23:44:06 -0500

wcm (0.19.0.1-1) stable; urgency=medium
  * Fixed: crash on Linux/OSX if bad UTF-8 sequence is encountered in a file name

 -- Sergey Kosarevsky <sk@linderdaum.com>  Sat, 21 Feb 2015 23:44:06 -0500

wcm (0.19.0-1) stable; urgency=medium
  * Added: Shift+Enter opens a file/folder with the default OS application
  * Added: bookmarks in the editor (set via RightCtrl+digit, restore via LeftCtrl+digit)
  * Added: adjust font size with Ctrl+WheelUp, Ctrl+WheelDn (Windows-only)
  * Added: basic SSH keys SFTP authorization
  * Added: temporary panel
  * Added: mark truncated file names with the '}' symbol in panels
  * Added: store FTP passwords between sessions
  * Added: folders history (Alt+F12)
  * Added: file attributes dialog (Ctrl+A)
  * Added: command line autocompletion shows file/folder names from the current folder
  * Added: pressing F3 on '..' calculates the size of the current folder
  * Added: typing in the viewer opens the search dialog
  * Added: maximize window (Alt+F9)
  * Hotkey: Ctrl+Alt+Ins, Alt+Shift+Ins, Ctrl+Shift+P to copy the full path of the currently selected item to the clipboard
  * Hotkey: Ctrl+R to refresh the drives list in the drive selection dialog
  * Hotkey: Ctrl+NumPadPlus, Ctrl+NumPadMinus to select and deselect files with the same extension
  * Improved: 'cd' in the command line without arguments should change directory to $HOME
  * Improved: hotkeys in the F2 user menu
  * Improved: hotkeys in all 'red' dialogs
  * Improved: retain cursor position after F5/F6 etc.
  * Improved: rendering of folders with unicode names (normalized unicode strings)
  * Improved: C++11 highlighting in the editor
  * Fixed: button bar text in the editor
  * Fixed: hotkeys in the 'Styles' dialog
  * Fixed: OpenBSD support
  * Fixed: installation issues
  * Fixed: TrueType fonts antialiasing
  * Fixed: debug messages in the console
  * Fixed: mouse interaction bugs
  * Fixed: graphical issue in the current path under the panels
  * Fixed: hide the autocompletion window while switching via Ctrl+Tab to the editor/viewer
  * Fixed: panel width after exiting the editor with Ctrl+Tab
  * Fixed: pressing Alt+key freezes Ctrl/Shift info in the bottom bar
  * Fixed: custom highlighting rules for selected files
  * Fixed: shortcuts in the text search/replace dialogs
  * Fixed: long path truncation in the drive selection dialog
  * Fixed: selection color in the viewer

 -- Sergey Kosarevsky <sk@linderdaum.com>  Sat, 21 Feb 2015 23:44:06 -0500

wcm (0.18.1-1) unstable; urgency=medium
  * Added: file highlighting
  * Added: speed indicator while copying
  * Added: color and icon (optional) for soft links
  * Added: copy multiple selected file names to the clipboard
  * Added: option to disable setup auto saving
  * Added: option to show/hide the main menu
  * Added: show '(Administrator)' in the window caption while running with admin privileges on Windows
  * Added: show volume label in the drive selection dialog
  * Added: user menu (F2)
  * Added: status bar for Alt+... keys in the aditor
  * Hotkey: Ctrl+L to open info dialog
  * Hotkey: Ctrl+S to select file (same as Ins)
  * Hotkey: Ctrl+F12 to select sorting mode
  * Improved: eye-gouging borders in the main menu
  * Improved: icons centering in the panels
  * Fixed: hotkeys in the drive selection dialog
  * Fixed: up/down in Alt-search
  * Fixed: numpad Ins and numpad Del

